/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');	
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/vacancyreview.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/vacancyreview.xml',
'<View title="vacancyReview" formHelp="&lt;b&gt;After approval this vacancy will automatically go live on National Trust jobs unless one or more of the following applies&lt;/b&gt;&lt;br/&gt;&lt;br/&gt;&lt;i&gt;Salary is over Q1 / Advertisement text is amended or missing / Accommodation is included or the vacancy is for maternity cover / You request Resourcing specialist help/The role requires a DBS check&lt;/i&gt;&lt;br/&gt;&lt;br/&gt;&lt;b&gt;In these cases the Resourcing team will contact you within 3 working days to progress this vacancy.&lt;/b&gt;&lt;br/&gt;&lt;br/&gt;&lt;b&gt;The team may contact you in any case to discuss advertising options over and above NT jobs.&lt;/b&gt;&lt;br/&gt;" showSubmit="true" submitLabel="{message.XXAS_RB_COM_SUBMIT}">

  <EditFields>
    
   	<Container id="BASIC_GRP">
      <Hidden id="PERSON_ID"/>
      <Hidden id="TRANSACTION_ID"/>
	  <Hidden id="VACANCY_ID"/>
      <ListItem id="APPROVERS" style="row" listFunction="xxas_vacancy_pkg.get_vacancy_workflow_details" visible="true"/>
	  <TextArea id="COMMENTS_TO_APPROVER" label="Comments to Approver"/>
    </Container>

  </EditFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/vacancyreview.xml');
END;
/
COMMIT;
EXIT;
